import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  name: z.string(),
  phoneNumber: z.string().optional().nullable(),
  createdAt: z.coerce.date().optional()
}).strict();
export const InsuranceContactCreateWithoutUserInputObjectSchema: z.ZodType<Prisma.InsuranceContactCreateWithoutUserInput> = makeSchema() as unknown as z.ZodType<Prisma.InsuranceContactCreateWithoutUserInput>;
export const InsuranceContactCreateWithoutUserInputObjectZodSchema = makeSchema();
